import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The bloodstream is the setting for our White Blood Cell scenario. 
 * It's a place where blood cells, bacteria and viruses float around.
 * 
 * @author Matthew finn
 * @3/9/18
 */
public class Space extends World
{
    private int time;
    private int score;

    /**
     * Constructor: Set up the staring objects.
     */
    public Space()
    {    
        super(780, 360, 1); 
        
        setPaintOrder(Crater.class);
        //setPaintOrder(Spaceship.class);
        prepare();
        time = 2000;
        score = 0;
        showTime();
        showEndMessage();
        ShowScore();
    }

    private void showTime()
    {
        showText("time:"+ time,700,25);
    }

    private void countTime()
    {
        time--;
        showTime();
        if (time == 0)
        {
            Greenfoot.stop();
            Greenfoot.playSound("Spacecraft.wav");
        }
    }

    private void showEndMessage()
    {
        if (time == 0)
        {
            showText("you win! Your final score:"+score,405,177);
        }
    }

    /**
     * Create new floating objects at irregular intervals.
     */
    public void act()
    {
        if (Greenfoot.getRandomNumber(100) < 1)       
        {
            addObject(new Asteroid(), 779, Greenfoot.getRandomNumber(360));
            addObject(new Gem(), 779, Greenfoot.getRandomNumber(360));
        }

        if (Greenfoot.getRandomNumber(100) < 1)
        {

            addObject(new AsteroidBelt(), 695,5);
            addObject(new AsteroidBelt(), 740,354);

        }

        if (Greenfoot.getRandomNumber(100) < 6)       
        {
            addObject(new Asteroid2(), 779, Greenfoot.getRandomNumber(280));

        }
        countTime();
        showEndMessage();
    }

    /**
     * add a score
     */
    public void addScore(int points)
    {
        score = score +points;
        showText("Score: " + score, 80, 25); //Adds 20 to the total score after removing a bacteria.

    }

    private void ShowScore()
    {
        showText("Score: " + score, 80, 25);
    }

    private void prepare()
    {

        Spaceship spaceship = new Spaceship();
        addObject(spaceship,143,172);
        Crater crater = new Crater();
        addObject(crater,775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        Crater crater2 = new Crater();
        addObject(crater2,57,188);
        crater2.setLocation(57,188);
        crater2.setLocation(57,188);
        crater2.setLocation(57,188);
        crater2.setLocation(57,188);
        crater2.setLocation(57,188);
        crater2.setLocation(57,188);
        crater2.setLocation(57,188);
        crater2.setLocation(46,185);
        crater2.setLocation(29,192);
        crater2.setLocation(11,189);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        AsteroidBelt asteroidbelt = new AsteroidBelt();
        addObject(asteroidbelt,90,348);
        AsteroidBelt asteroidbelt2 = new AsteroidBelt();
        addObject(asteroidbelt2,323,355);
        AsteroidBelt asteroidbelt3 = new AsteroidBelt();
        addObject(asteroidbelt3,603,350);
        AsteroidBelt asteroidbelt4 = new AsteroidBelt();
        addObject(asteroidbelt4,673,21);
        AsteroidBelt asteroidbelt5 = new AsteroidBelt();
        addObject(asteroidbelt5,367,11);
        AsteroidBelt asteroidbelt6 = new AsteroidBelt();
        addObject(asteroidbelt6,51,10);
        AsteroidBelt asteroidbelt7 = new AsteroidBelt();
        addObject(asteroidbelt7,142,1);
        AsteroidBelt asteroidbelt8 = new AsteroidBelt();
        addObject(asteroidbelt8,23,321);
        AsteroidBelt asteroidbelt9 = new AsteroidBelt();
        addObject(asteroidbelt9,5,64);
        Asteroid2 asteroid2 = new Asteroid2();
        addObject(asteroid2,521,183);
        removeObject(asteroid2);
        crater2.getImage();
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(775,176);
        crater.setLocation(737,95);
        crater.setLocation(763,121);
        Crater crater3 = new Crater();
        addObject(crater3,773,257);
        Crater crater4 = new Crater();
        addObject(crater4,13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(13,75);
        crater4.setLocation(3,264);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        Crater crater5 = new Crater();
        addObject(crater5,4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        Crater crater6 = new Crater();
        addObject(crater6,754,77);
        crater.setLocation(767,181);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater.setLocation(721,132);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(754,77);
        crater6.setLocation(762,73);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(773,257);
        crater3.setLocation(772,235);
        crater3.setLocation(779,213);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater4.setLocation(5,254);
        crater4.setLocation(9,242);
        crater4.setLocation(9,243);
        crater4.setLocation(21,308);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(4,74);
        crater5.setLocation(1,98);
        crater4.setLocation(19,243);
        crater4.setLocation(19,243);
        crater4.setLocation(19,243);
        crater4.setLocation(19,243);
        crater4.setLocation(19,243);
        crater4.setLocation(19,243);
        crater4.setLocation(19,243);
        crater4.setLocation(19,243);
        crater4.setLocation(19,243);
        crater4.setLocation(19,243);
        crater4.setLocation(19,243);
        crater4.setLocation(19,243);
        crater4.setLocation(19,243);
        crater4.setLocation(19,243);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(1,98);
        crater5.setLocation(5,47);
        crater4.setLocation(21,243);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(1,179);
        crater2.setLocation(0,208);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(5,47);
        crater5.setLocation(9,95);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(6,126);
        crater5.setLocation(14,110);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater5.setLocation(1,109);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(779,213);
        crater3.setLocation(772,244);
        crater3.setLocation(772,244);
        crater3.setLocation(772,244);
        crater3.setLocation(772,244);
        crater3.setLocation(772,244);
        crater3.setLocation(775,251);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater.setLocation(744,165);
        crater.setLocation(741,182);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(774,79);
        crater6.setLocation(778,108);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        removeObject(crater5);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(21,243);
        crater4.setLocation(14,130);
        crater4.setLocation(14,130);
        crater4.setLocation(14,130);
        crater4.setLocation(14,130);
        crater4.setLocation(14,130);
        crater4.setLocation(14,130);
        crater4.setLocation(14,130);
        crater4.setLocation(14,130);
        crater4.setLocation(14,130);
        crater4.setLocation(14,130);
        crater4.setLocation(3,101);
        crater4.setLocation(3,101);
        crater4.setLocation(3,101);
        crater4.setLocation(3,101);
        crater4.setLocation(3,101);
        crater4.setLocation(3,101);
        crater4.setLocation(3,101);
        crater4.setLocation(3,101);
        crater4.setLocation(3,101);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        crater3.setLocation(775,251);
        removeObject(crater3);
        crater.setLocation(769,226);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,208);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater2.setLocation(0,247);
        crater4.setLocation(6,119);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(769,226);
        crater.setLocation(779,198);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater6.setLocation(778,108);
        crater.setLocation(779,198);
        crater.setLocation(779,198);
        crater.setLocation(778,205);
        crater.setLocation(778,205);
        crater.setLocation(778,205);
        crater.setLocation(778,205);
        crater.setLocation(778,205);
        crater.setLocation(778,205);
        crater.setLocation(778,205);
        crater.setLocation(778,205);
        crater.setLocation(778,205);
        crater.setLocation(779,218);
        crater6.setLocation(770,130);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater6.setLocation(775,108);
        crater6.setLocation(775,108);
        crater6.setLocation(775,108);
        crater6.setLocation(775,108);
        crater6.setLocation(775,108);
        crater6.setLocation(775,113);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(779,218);
        crater.setLocation(778,214);
        crater4.setLocation(6,119);
        crater4.setLocation(6,119);
        crater4.setLocation(6,119);
        crater4.setLocation(6,119);
        crater4.setLocation(6,119);
        crater4.setLocation(6,119);
        crater4.setLocation(6,119);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(0,134);
        crater4.setLocation(3,117);
        crater4.setLocation(3,117);
        crater2.setLocation(0,231);
        crater.setLocation(776,222);
    }
}
